For the complete documentation index, see llms.txt. This page is also available as Markdown.

List http transport configurations

List http transport configurations

Required access: Tenant.Admin

get
/tenants/{tenantUid}/httptransports
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Transport List response

application/json
get/tenants/{tenantUid}/httptransports
GET /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Transport List response

{
  "items": [
    {
      "headers": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "name": "text",
      "password": "text",
      "securityType": "NONE",
      "token": "text",
      "httpTransportUid": "text",
      "url": "text",
      "username": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?